<?php

namespace Demo\Ns;

use NoccyLabs\Plugin\PluginAwareInterface;
use NoccyLabs\Plugin\PluginInstance;

class PluginClass implements PluginAwareInterface
{
    protected $plugin;

    public function setPluginInstance(PluginInstance $plugin)
    {
        $this->plugin = $plugin;
    }

    public function onLoad()
    {
        echo "[example.autoload] PluginClass::onLoad()\n";
    }

    public function onUnload()
    {
        echo "[example.autoload] PluginClass::onUnload()\n";
    }
}

